## smp-utils 0.96

=== Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/share/man

ifndef CC
CC = gcc
endif
LD = $(CC)

EXECS = smp_rep_general smp_rep_manufacturer smp_discover smp_phy_control \
	smp_rep_phy_err_log smp_rep_phy_sata smp_rep_route_info \
	smp_read_gpio smp_conf_route_info smp_write_gpio smp_phy_test \
	smp_discover_list smp_conf_general smp_rep_broadcast \
	smp_rep_exp_route_tbl smp_rep_phy_event smp_rep_phy_event_list \
	smp_zone_lock smp_ena_dis_zoning smp_zone_unlock \
	smp_zone_activate smp_conf_zone_phy_info smp_conf_zone_perm_tbl \
	smp_conf_zone_man_pass smp_zoned_broadcast smp_rep_zone_perm_tbl \
	smp_rep_zone_man_pass smp_rep_self_conf_stat

MAN_PGS = smp_utils.8 smp_rep_general.8 smp_rep_manufacturer.8 \
	  smp_discover.8 smp_phy_control.8 smp_rep_phy_err_log.8 \
	  smp_rep_phy_sata.8 smp_rep_route_info.8 smp_read_gpio.8 \
	  smp_conf_route_info.8 smp_write_gpio.8 smp_phy_test.8 \
	  smp_discover_list.8 smp_conf_general.8 smp_rep_broadcast.8 \
	  smp_rep_exp_route_tbl.8 smp_rep_phy_event.8 \
	  smp_rep_phy_event_list.8 smp_zone_lock.8 smp_ena_dis_zoning.8 \
	  smp_zone_unlock.8 smp_zone_activate.8 smp_conf_zone_phy_info.8 \
	  smp_conf_zone_perm_tbl.8 smp_conf_zone_man_pass.8 \
	  smp_zoned_broadcast.8 smp_rep_zone_perm_tbl.8 \
	  smp_rep_zone_man_pass.8 smp_rep_self_conf_stat.8

MAN_PREF = man8

OS_FLAGS = -DSMP_UTILS_LINUX
LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
EXTRA_FLAGS = $(OS_FLAGS) $(LARGE_FILE_FLAGS)

INCLUDES = -I include

# may be overridden by 'make -e'
CFLAGS = -g -O2

MY_CFLAGS = -Wall -W $(EXTRA_FLAGS)
# MY_CFLAGS = -Wall -W -pedantic -std=c99 $(EXTRA_FLAGS)

CFLAGS_PTHREADS = -D_REENTRANT

LDFLAGS = 
# LDFLAGS = -v -lm

# $(SDIRS):
# 	set -e; for i in $(SDIRS); \
# 	do $(MAKE) -C $$i CFLAGS="$(CFLAGS)" ; done

.c.o:
	$(CC) $(INCLUDES) $(CFLAGS) $(MY_CFLAGS) -c -o $@ $<

all: sub_mpt sub_sgv4 libsmp.a $(EXECS)

sub_mpt:
	cd mpt && $(MAKE)

sub_sgv4:
	cd sgv4 && $(MAKE)

libsmp.a : sub_mpt sub_sgv4 smp_lib.o smp_interface_sel.o
	ar r libsmp.a smp_lib.o smp_interface_sel.o mpt/smp_mptctl_io.o  \
	sgv4/smp_sgv4_io.o

depend dep:
	cd mpt && $(MAKE) dep
	cd sgv4 && $(MAKE) dep
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean distclean:
	cd mpt && $(MAKE) clean
	cd sgv4 && $(MAKE) clean
	/bin/rm -f *.o $(EXECS) core* .depend *.a *.la *.lo
	/bin/rm -rf .libs
	/bin/rm -f build-stamp configure-stamp debian/files debian/smp-utils.substvars
	/bin/rm -rf debian/tmp debian/smp-utils

smp_rep_general: smp_rep_general.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_manufacturer: smp_rep_manufacturer.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_discover: smp_discover.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_phy_control: smp_phy_control.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_phy_err_log: smp_rep_phy_err_log.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_phy_sata: smp_rep_phy_sata.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_route_info: smp_rep_route_info.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_read_gpio: smp_read_gpio.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_conf_route_info: smp_conf_route_info.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_write_gpio: smp_write_gpio.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_phy_test: smp_phy_test.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_discover_list: smp_discover_list.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_conf_general: smp_conf_general.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_exp_route_tbl: smp_rep_exp_route_tbl.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_phy_event: smp_rep_phy_event.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_phy_event_list: smp_rep_phy_event_list.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_zone_lock: smp_zone_lock.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_ena_dis_zoning: smp_ena_dis_zoning.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_zone_unlock: smp_zone_unlock.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_zone_activate: smp_zone_activate.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_conf_zone_phy_info: smp_conf_zone_phy_info.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_conf_zone_perm_tbl: smp_conf_zone_perm_tbl.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_conf_zone_man_pass: smp_conf_zone_man_pass.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_zoned_broadcast: smp_zoned_broadcast.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_zone_perm_tbl: smp_rep_zone_perm_tbl.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_zone_man_pass: smp_rep_zone_man_pass.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_broadcast: smp_rep_broadcast.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

smp_rep_self_conf_stat: smp_rep_self_conf_stat.o libsmp.a
	$(LD) -o $@ $(LDFLAGS) $^

install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -m 644 doc/$$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== mpt/Makefile ===
SHELL = /bin/sh

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/share/man

ifndef CC
CC = gcc
endif
LD = $(CC)

EXECS = smp_mptctl_io.o

OS_FLAGS = -DSMP_UTILS_LINUX
LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
EXTRA_FLAGS = $(OS_FLAGS) $(LARGE_FILE_FLAGS)

INCLUDES = -I ../include

# CFLAGS = -O2 -Wall -W $(EXTRA_FLAGS)
CFLAGS = -g -O2 -Wall -W $(EXTRA_FLAGS)
# CFLAGS = -g -O2 -Wall -W -pedantic -std=c99 $(EXTRA_FLAGS)

LDFLAGS = 
# LDFLAGS = -v -lm

.c.o:
	$(CC) $(INCLUDES) $(CFLAGS) -c -o $@ $<

all: $(EXECS)

depend dep:
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	/bin/rm -f *.o $(EXECS) core* .depend *.a *.la *.lo
	/bin/rm -rf .libs

install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 $$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== sgv4/Makefile ===
SHELL = /bin/sh
KERNELRELEASE ?= $(shell uname -r)
KSRC ?= /lib/modules/$(KERNELRELEASE)/build

PREFIX=/usr/local
INSTDIR=$(DESTDIR)/$(PREFIX)/bin
MANDIR=$(DESTDIR)/$(PREFIX)/share/man

ifndef CC
CC = gcc
endif
LD = $(CC)

EXECS = smp_sgv4_io.o

OS_FLAGS = -DSMP_UTILS_LINUX
LARGE_FILE_FLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
EXTRA_FLAGS = $(OS_FLAGS) $(LARGE_FILE_FLAGS)

INCLUDES = -I ../include -I $(KSRC)/include -idirafter ../include/dummy
# INCLUDES = -I ../include -idirafter ../include/dummy

# CFLAGS =  -O2 -Wall -W $(EXTRA_FLAGS)
CFLAGS = -g -O2 -Wall -W $(EXTRA_FLAGS)
# CFLAGS = -O2 -Wall -W -pedantic -std=c99 $(EXTRA_FLAGS)

LDFLAGS = 
# LDFLAGS = -v -lm

.c.o:
	$(CC) $(INCLUDES) $(CFLAGS) -c -o $@ $<

all: $(EXECS)

depend dep:
	for i in *.c; do $(CC) $(INCLUDES) $(CFLAGS) -M $$i; \
	done > .depend

clean:
	/bin/rm -f *.o $(EXECS) core* .depend *.a *.la *.lo
	/bin/rm -rf .libs

install: $(EXECS)
	install -d $(INSTDIR)
	for name in $^; \
	 do install -s -o root -g root -m 755 $$name $(INSTDIR); \
	done
	install -d $(MANDIR)/$(MAN_PREF)
	for mp in $(MAN_PGS); \
	 do install -o root -g root -m 644 $$mp $(MANDIR)/$(MAN_PREF); \
	 gzip -9f $(MANDIR)/$(MAN_PREF)/$$mp; \
	done

uninstall:
	dists="$(EXECS)"; \
	for name in $$dists; do \
	 rm -f $(INSTDIR)/$$name; \
	done
	for mp in $(MAN_PGS); do \
	 rm -f $(MANDIR)/$(MAN_PREF)/$$mp.gz; \
	done

ifeq (.depend,$(wildcard .depend))
include .depend
endif

=== debian/changelog ===
smp-utils (0.96-1) unstable; urgency=low

  * Initial release (Closes: #632707)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Thu, 07 Jul 2011 01:42:16 +0530

=== debian/control ===
Source: smp-utils
Section: admin
Priority: extra
Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.9.2
Homepage: http://sg.danny.cz/sg/smp_utils.html
Vcs-Git: git://git.debian.org/collab-maint/smp-utils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/smp-utils.git;a=summary

Package: smp-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SAS Expander (SMP) utilities for SAS/SATA disk arrays
 Utilities that send a Serial Attached SCSI (SAS) Management
 Protocol (SMP) request to a SMP target. If the request fails then
 the error is decoded. If the request succeeds then the response is
 either decoded, printed out in hexadecimal or output in binary.
 This package supports multiple interfaces since SMP passthroughs
 are not mature. This package supports the Linux 2.6 series.

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
PKG_VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')


get-orig-source:
	uscan --force-download --rename --repack --download-version=$(PKG_VERS) --destdir=.

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: build-arch build-indep
build-stamp: configure-stamp
	dh_testdir

	# Add here commands to compile the package.
	PREFIX=/usr MANDIR=/usr/share/man $(MAKE) -e

	touch build-stamp

build-arch: build-stamp
build-indep: build-stamp

clean:
	dh_testdir
	dh_testroot

	[ ! -f Makefile ] || $(MAKE) distclean

	rm -f build-stamp configure-stamp debian/substvars

	dh_auto_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	$(MAKE) -e install DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr

	dh_install --autodest --sourcedir=debian/tmp
	dh_installman

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
# nothing to do here

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
	dh_installchangelogs ChangeLog
	dh_strip
	dh_link
	dh_compress -X archive -X .c -X .h
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
#ifeq ($(DEB_HOST_ARCH_OS),kfreebsd)
#	echo kfreebsd:Depends=libcam-dev >>debian/libsgutils2-dev.substvars
#endif
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source

## smp-utils 0.97

=== debian/changelog ===
smp-utils (0.97-1) unstable; urgency=low

  * New upstream release 
  * [c080fc5] Enable hardening flags
  * [c6c0044] update standards version to 3.9.3

 -- Ritesh Raj Sarraf <rrs@debian.org>  Wed, 26 Jun 2013 17:41:54 +0530

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# For Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
PKG_VERS=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-]+).*,\1,p')

get-orig-source:
	uscan --force-download --rename --repack --download-version=$(PKG_VERS) --destdir=.

%:
	dh "$@"

.PHONY: get-orig-source

## smp-utils 0.98

=== debian/changelog ===
smp-utils (0.98-2build1) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:12:02 +0000

smp-utils (0.98-2) unstable; urgency=medium

  * Switch repository to Salsa
  * Add patch to fix build failure for implicit function declaration
    (Closes: #916020)
  * Bump debhelper dependency to 9

 -- Ritesh Raj Sarraf <rrs@debian.org>  Sun, 06 Jan 2019 12:35:38 +0530

smp-utils (0.98-1) unstable; urgency=medium

  * [ddcb84e] Imported Upstream version 0.98
  * [53a59ca] Drop smp-utils.install file

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 29 Sep 2014 13:46:19 +0530

smp-utils (0.97-2) unstable; urgency=medium

  * [8018937] Call dh with autotools.
    Thanks to Matthias Klose (Closes: #727970)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Tue, 15 Apr 2014 22:56:15 +0530

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: extra
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 5)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev
+Standards-Version: 3.9.3
 Homepage: http://sg.danny.cz/sg/smp_utils.html
-Vcs-Git: git://git.debian.org/collab-maint/smp-utils.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/smp-utils.git;a=summary
+Vcs-Git: https://salsa.debian.org/linux-blocks-team/smp-utils.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/smp-utils.git
 
 Package: smp-utils
 Architecture: any

=== debian/watch ===
version=3
http://sg.danny.cz/sg/p/smp_utils-([\d\.]+)\.tgz

## smp-utils 0.99

=== debian/changelog ===
smp-utils (0.99-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Drop use of autotools-dev debhelper.
  * Bump debhelper from deprecated 9 to 10.
  * Change priority extra to priority optional.
  * Use canonical URL in Vcs-Browser.
  * Remove unnecessary get-orig-source-target.

  [ Ritesh Raj Sarraf ]
  * New upstream version 0.99
  * Drop patch fix-ftbfs-implicit-function.patch. Merged upstream
  * Explicitly mention the BSD-3-clause license

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 27 Nov 2020 22:21:41 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: smp-utils
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Ritesh Raj Sarraf <rrs@debian.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev
+Build-Depends: debhelper (>= 10~), dpkg-dev (>= 1.16.1~), autotools-dev
 Standards-Version: 3.9.3
 Homepage: http://sg.danny.cz/sg/smp_utils.html
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/smp-utils.git
-Vcs-Browser: https://salsa.debian.org/linux-blocks-team/smp-utils.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/smp-utils
 
 Package: smp-utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# For Hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk


DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

%:
	dh "$@"
